summaryrefslogtreecommitdiffstats
path: root/hosts/jenkins/etc/pbuilder/rebuild-hooks/C01_cleanup
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/jenkins/etc/pbuilder/rebuild-hooks/C01_cleanup')
-rwxr-xr-xhosts/jenkins/etc/pbuilder/rebuild-hooks/C01_cleanup10
1 files changed, 10 insertions, 0 deletions
diff --git a/hosts/jenkins/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/jenkins/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..b35b5c56
--- /dev/null
+++ b/hosts/jenkins/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+fusermount -u /tmp/buildd
+mv /tmp/disorderfs /tmp/buildd